(define (domain MulValAG)
(:requirements :strips :probabilistic-effects)
(:functions (total-cost))
(:constants
    citrixserver
    ie
    remoteexploit
    cve_2010_0494
    victim_5
    commserver
    victim_1
    cve_2010_0492
    cve_2010_0490
    privescalation
    remoteclient
    httpprotocol
    openvpn
    victim_2
    internet
    datahistorian
    httpport
    user
    vpnserver
    h
    m
    mountd
    windows_2000
    cve_2010_0483
    root
)
(:predicates
    (hasaccount ?x0 ?x1 ?x2)
    (vulexists ?x0 ?x1 ?x2 ?x3 ?x4)
    (execcode ?x0 ?x1)
    (hacl ?x0 ?x1 ?x2 ?x3)
    (accessmaliciousinput ?x0 ?x1 ?x2)
    (incompetent ?x0)
    (attackerlocated ?x0)
    (cvss ?x0 ?x1)
    (netaccess ?x0 ?x1 ?x2)
    (networkserviceinfo ?x0 ?x1 ?x2 ?x3 ?x4)
)
(:action RULE_2_0
    :parameters ()
    :precondition (and
        (accessmaliciousinput citrixserver victim_2 ie)
        (hasaccount victim_2 citrixserver user)
        (cvss cve_2010_0490 m)
        (vulexists citrixserver cve_2010_0490 ie remoteclient privescalation)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.6 (and
        (execcode citrixserver user)
    )))
)
(:action RULE_20_0
    :parameters ()
    :precondition (and
        (attackerlocated internet)
        (hacl citrixserver internet httpprotocol httpport)
        (incompetent victim_2)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.8 (and
        (accessmaliciousinput citrixserver victim_2 ie)
    )))
)
(:action RULE_2_1
    :parameters ()
    :precondition (and
        (accessmaliciousinput commserver victim_1 windows_2000)
        (hasaccount victim_1 commserver user)
        (cvss cve_2010_0483 h)
        (vulexists commserver cve_2010_0483 windows_2000 remoteclient privescalation)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.2 (and
        (execcode commserver user)
    )))
)
(:action RULE_20_1
    :parameters ()
    :precondition (and
        (attackerlocated internet)
        (hacl commserver internet httpprotocol httpport)
        (incompetent victim_1)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.8 (and
        (accessmaliciousinput commserver victim_1 windows_2000)
    )))
)
(:action RULE_1_0
    :parameters ()
    :precondition (and
        (netaccess datahistorian httpprotocol httpport)
        (networkserviceinfo datahistorian mountd httpprotocol httpport root)
        (cvss cve_2010_0494 m)
        (vulexists datahistorian cve_2010_0494 mountd remoteexploit privescalation)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.6 (and
        (execcode datahistorian root)
    )))
)
(:action RULE_4_0
    :parameters ()
    :precondition (and
        (hacl commserver datahistorian httpprotocol httpport)
        (execcode commserver user)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 1 (and
        (netaccess datahistorian httpprotocol httpport)
    )))
)
(:action RULE_2_2
    :parameters ()
    :precondition (and
        (accessmaliciousinput vpnserver victim_5 openvpn)
        (hasaccount victim_5 vpnserver user)
        (cvss cve_2010_0492 m)
        (vulexists vpnserver cve_2010_0492 openvpn remoteclient privescalation)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.6 (and
        (execcode vpnserver user)
    )))
)
(:action RULE_20_2
    :parameters ()
    :precondition (and
        (attackerlocated internet)
        (hacl vpnserver internet httpprotocol httpport)
        (incompetent victim_5)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.8 (and
        (accessmaliciousinput vpnserver victim_5 openvpn)
    )))
)
)
